declare type CurrencyDef = {
  baseCode: string
  targetCode: string
  baseName?: string
  nDecimals?: number
  targetPrefix?: string
  targetSuffix?: string
}

declare type Currency = {
  baseCode: string,
  targetCode: string,
  baseName: string,
  targetPrefix: string,
  targetSuffix: string,
  value?: number,
  lastUpdated: number
}

declare type Currencies = { [code: string]: Currency }
